import _extends from "@babel/runtime/helpers/extends";

/**
 * File: /src/components/Spinner/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 14-07-2022 00:27:03
 * Modified By: Manikanta
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import { ActivityIndicator as DActivityIndicator } from "@dripsy/core";
import useThemeLookup from "../../hooks/useThemeLookup";

const Spinner = props => {
  const themeLookup = useThemeLookup();
  const sxProp = { ...styles.spinner,
    ...props.sx
  };
  return /*#__PURE__*/React.createElement(DActivityIndicator, _extends({}, props, {
    color: themeLookup("color", props.color),
    sx: sxProp
  }));
};

Spinner.defaultProps = {
  sx: {},
  size: 48
};
export const styles = {
  spinner: {}
};
Spinner.defaultSx = {};
export default Spinner;
//# sourceMappingURL=index.js.map