(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "@dripsy/core", "react", "react-native-youtube-iframe"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("@dripsy/core"), require("react"), require("react-native-youtube-iframe"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.core, global.react, global.reactNativeYoutubeIframe);
    global.YoutubeIframeThemed = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _core, _react, _reactNativeYoutubeIframe) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _reactNativeYoutubeIframe = _interopRequireDefault(_reactNativeYoutubeIframe);

  /**
   * File: /src/components/Embed/YoutubeIframeStyled.tsx
   * Project: @native-theme-ui/core
   * File Created: 18-07-2022 08:05:40
   * Author: Clay Risser
   * -----
   * Last Modified: 18-07-2022 08:06:05
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const YoutubeIframeStyled = props => {
    var _props$style, _props$style2;

    const webViewStyle = { ...props.style
    };
    delete webViewStyle.width;
    delete webViewStyle.height;
    return /*#__PURE__*/_react.default.createElement(_reactNativeYoutubeIframe.default, (0, _extends2.default)({}, props, {
      height: ((_props$style = props.style) === null || _props$style === void 0 ? void 0 : _props$style.height) || props.defaultHeight,
      width: (_props$style2 = props.style) === null || _props$style2 === void 0 ? void 0 : _props$style2.width,
      webViewStyle: props.style
    }));
  };

  const YoutubeIframeThemed = (0, _core.createThemedComponent)(YoutubeIframeStyled);
  var _default = YoutubeIframeThemed;
  _exports.default = _default;
});
//# sourceMappingURL=YoutubeIframeThemed.js.map